﻿Imports System.Drawing.Printing

Public Class Form1

    Private Sub btnPrint_Click(sender As Object, e As EventArgs) Handles btnPrint.Click
        Dim firstName = tbFirstName.Text.Trim()
        Dim lastName = tbLastName.Text.Trim()

        Dim document = New MyPdfFile(firstName, lastName)


        ' option A
        ' document.PrinterSettings.PrinterName = "Microsoft Print To PDF"
        ' document.Print()

        ' option B
        ' ShowPrinterSelection(document)

        ' option C
        ' good for previewing your dev work without printing
        ShowPreviewDialog(document)
    End Sub

    Private Sub ShowPrinterSelection(document As PrintDocument)
        Using pdlg As New PrintDialog()
            With pdlg
                .Document = document
                ' or customize more settings..
                If .ShowDialog() = DialogResult.OK Then
                    document.Print()
                End If
            End With
        End Using
    End Sub

    Private Sub ShowPreviewDialog(document As PrintDocument)
        Using pdlg As New PrintPreviewDialog()
            With pdlg
                .Document = document
                ' or customize more settings..
                If .ShowDialog() = DialogResult.OK Then
                    document.Print()
                End If
            End With
        End Using
    End Sub

End Class
